Name:           python-xattr
Version:        0.6.2
Release:        1%{?dist}
Summary:        Python wrapper for extended file-system attributes

License:        MIT
URL:            http://github.com/xattr/xattr
Source0:        http://pypi.python.org/packages/source/x/xattr/xattr-0.6.2.tar.gz

# Information on the pyxattr conflict can be found in this bug:
#   https://bugzilla.redhat.com/732692
Conflicts:      pyxattr
# Once the following bug is resolved, the conflicts line should be changed:
#   https://bugzilla.redhat.com/781838
#Conflicts:      pyxattr <= 0.5.0-3

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
This package provides a Python wrapper for extended file-system attributes.
Extended attributes extend the basic attributes of files and directories in the
file system. They are stored as name:data pairs associated with file system
objects (files, directories, slinks, etc).


%prep
%setup -q -n xattr-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README.txt LICENSE.txt
%{python_sitearch}/*
%attr(755, root, root) %{_bindir}/xattr


%changelog
* Sun Jan 15 2012 Russell Bryant <russellb@fedoraproject.org> - 0.6.2-1
- Initial package
